Class | Bio::Hinv::HitXML
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::HitXML.new serv.query("hit" => "HIT000000001") puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 261
    261:       def initialize
    262:         @url = BASE_URI + "hit_xml.php"
    263:       end

### Public Instance methods

result()

<?xml version="1.0" standalone="yes" ?> <H-Inv>

     <cDNAXML>
     <CLUSTER-ID>HIX0021591</CLUSTER-ID>
     <CLUSTER-ID-VERSION>HIX0021591.11</CLUSTER-ID-VERSION>
     <H-INVITATIONAL-ID>HIT000000001</H-INVITATIONAL-ID>
       :
       </PROBE-MAPPING>
      </EXPRESSION>
     </cDNAXML>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 276
    276:       def result
    277:         @result
    278:       end

[Validate]